Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
com.tritondigital.util.Assert Class Reference

Does assertions. More...

## Static Public Member Functions
static void | assertTrue (String message, boolean condition)
| Asserts that a condition is true.
static void | assertTrue (boolean condition)
| Asserts that a condition is true.
static void | assertFalse (String message, boolean condition)
| Asserts that a condition is false.
static void | assertFalse (boolean condition)
| Asserts that a condition is false.
static void | fail (String message)
| Fails a test with the given message.
static void | fail ()
| Fails a test with no message.
static void | assertEquals (String message, Object expected, Object actual)
| Asserts that two objects are equal.
static void | assertEquals (Object expected, Object actual)
| Asserts that two objects are equal.
static void | assertEquals (String message, String expected, String actual)
| Asserts that two Strings are equal.
static void | assertEquals (String expected, String actual)
| Asserts that two Strings are equal.
static void | assertEquals (String message, double expected, double actual, double delta)
| Asserts that two doubles are equal concerning a delta.
static void | assertEquals (double expected, double actual, double delta)
| Asserts that two doubles are equal concerning a delta.
static void | assertEquals (String message, float expected, float actual, float delta)
| Asserts that two floats are equal concerning a positive delta.
static void | assertEquals (float expected, float actual, float delta)
| Asserts that two floats are equal concerning a delta.
static void | assertEquals (String message, long expected, long actual)
| Asserts that two longs are equal.
static void | assertEquals (long expected, long actual)
| Asserts that two longs are equal.
static void | assertEquals (String message, boolean expected, boolean actual)
| Asserts that two booleans are equal.
static void | assertEquals (boolean expected, boolean actual)
| Asserts that two booleans are equal.
static void | assertEquals (String message, byte expected, byte actual)
| Asserts that two bytes are equal.
static void | assertEquals (byte expected, byte actual)
| Asserts that two bytes are equal.
static void | assertEquals (String message, char expected, char actual)
| Asserts that two chars are equal.
static void | assertEquals (char expected, char actual)
| Asserts that two chars are equal.
static void | assertEquals (String message, short expected, short actual)
| Asserts that two shorts are equal.
static void | assertEquals (short expected, short actual)
| Asserts that two shorts are equal.
static void | assertEquals (String message, int expected, int actual)
| Asserts that two ints are equal.
static void | assertEquals (int expected, int actual)
| Asserts that two ints are equal.
static void | assertNotNull (Object object)
| Asserts that an object isn't null.
static void | assertNotNull (String message, Object object)
| Asserts that an object isn't null.
static void | assertNull (Object object)
| Asserts that an object is null.
static void | assertNull (String message, Object object)
| Asserts that an object is null.
static void | assertSame (String message, Object expected, Object actual)
| Asserts that two objects refer to the same object.
static void | assertSame (Object expected, Object actual)
| Asserts that two objects refer to the same object.
static void | assertNotSame (String message, Object expected, Object actual)
| Asserts that two objects do not refer to the same object.
static void | assertNotSame (Object expected, Object actual)
| Asserts that two objects do not refer to the same object.
static void | failSame (String message)
static void | failNotSame (String message, Object expected, Object actual)
static void | failNotEquals (String message, Object expected, Object actual)
static String | format (String message, Object expected, Object actual)
static void | fail (String logTag, String msg)
| Fails a test with a log tag and a message.
static void | failUnhandledValue (String logTag, Enum<?> value)
| Fails a test with a log tag and a message.
static void | failUnhandledValue (String logTag, int value)
| Fails a test with a log tag and a message.
static void | failUnhandledValue (String logTag, String value)
| Fails a test with a log tag and a message.
static void | failUnhandledValue (String logTag, Enum<?> value, String msg)
| Fails a test with a log tag and a message.
static void | failUnhandledValue (String logTag, int value, String msg)
| Fails a test with a log tag and a message.
static void | failUnhandledValue (String logTag, String value, String msg)
| Fails a test with a log tag and a message.
static void | fail (Exception e)
| Fails a test with no message and an exception.
static void | fail (String msg, Exception e)
| Fails a test with a message and an exception.

## Detailed Description

Does assertions.

Wraps Android class but replaces the assert by a log when compiled in debug mode.

See also
  http://developer.android.com/reference/junit/framework/Assert.html

## Member Function Documentation

## ◆ assertEquals() [1/12]

static void com.tritondigital.util.Assert.assertEquals | ( | double | expected,
|  | double | actual,
|  | double | delta
| ) |  |
| static

Asserts that two doubles are equal concerning a delta.

If the expected value is infinity then the delta value is ignored.

## ◆ assertEquals() [2/12]

static void com.tritondigital.util.Assert.assertEquals | ( | float | expected,
|  | float | actual,
|  | float | delta
| ) |  |
| static

Asserts that two floats are equal concerning a delta.

If the expected value is infinity then the delta value is ignored.

## ◆ assertEquals() [3/12]

static void com.tritondigital.util.Assert.assertEquals | ( | Object | expected,
|  | Object | actual
| ) |  |
| static

Asserts that two objects are equal.

If they are not an AssertionFailedError is thrown.

## ◆ assertEquals() [4/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | boolean | expected,
|  | boolean | actual
| ) |  |
| static

Asserts that two booleans are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertEquals() [5/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | byte | expected,
|  | byte | actual
| ) |  |
| static

Asserts that two bytes are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertEquals() [6/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | char | expected,
|  | char | actual
| ) |  |
| static

Asserts that two chars are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertEquals() [7/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | double | expected,
|  | double | actual,
|  | double | delta
| ) |  |
| static

Asserts that two doubles are equal concerning a delta.

If they are not an AssertionFailedError is thrown with the given message. If the expected value is infinity then the delta value is ignored.

## ◆ assertEquals() [8/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | float | expected,
|  | float | actual,
|  | float | delta
| ) |  |
| static

Asserts that two floats are equal concerning a positive delta.

If they are not an AssertionFailedError is thrown with the given message. If the expected value is infinity then the delta value is ignored.

## ◆ assertEquals() [9/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | int | expected,
|  | int | actual
| ) |  |
| static

Asserts that two ints are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertEquals() [10/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | long | expected,
|  | long | actual
| ) |  |
| static

Asserts that two longs are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertEquals() [11/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | Object | expected,
|  | Object | actual
| ) |  |
| static

Asserts that two objects are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertEquals() [12/12]

static void com.tritondigital.util.Assert.assertEquals | ( | String | message,
|  | short | expected,
|  | short | actual
| ) |  |
| static

Asserts that two shorts are equal.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertFalse() [1/2]

static void com.tritondigital.util.Assert.assertFalse | ( | boolean | condition | ) |
| static

Asserts that a condition is false.

If it isn't it throws an AssertionFailedError.

## ◆ assertFalse() [2/2]

static void com.tritondigital.util.Assert.assertFalse | ( | String | message,
|  | boolean | condition
| ) |  |
| static

Asserts that a condition is false.

If it isn't it throws an AssertionFailedError with the given message.

## ◆ assertNotNull()

static void com.tritondigital.util.Assert.assertNotNull | ( | String | message,
|  | Object | object
| ) |  |
| static

Asserts that an object isn't null.

If it is an AssertionFailedError is thrown with the given message.

## ◆ assertNotSame() [1/2]

static void com.tritondigital.util.Assert.assertNotSame | ( | Object | expected,
|  | Object | actual
| ) |  |
| static

Asserts that two objects do not refer to the same object.

If they do refer to the same object an AssertionFailedError is thrown.

## ◆ assertNotSame() [2/2]

static void com.tritondigital.util.Assert.assertNotSame | ( | String | message,
|  | Object | expected,
|  | Object | actual
| ) |  |
| static

Asserts that two objects do not refer to the same object.

If they do refer to the same object an AssertionFailedError is thrown with the given message.

## ◆ assertNull() [1/2]

static void com.tritondigital.util.Assert.assertNull | ( | Object | object | ) |
| static

Asserts that an object is null.

If it isn't an `AssertionFailedError` is thrown. Message contains: Expected: <null> but was: object

Parameters

  object | Object to check or `null`

## ◆ assertNull() [2/2]

static void com.tritondigital.util.Assert.assertNull | ( | String | message,
|  | Object | object
| ) |  |
| static

Asserts that an object is null.

If it is not an AssertionFailedError is thrown with the given message.

## ◆ assertSame() [1/2]

static void com.tritondigital.util.Assert.assertSame | ( | Object | expected,
|  | Object | actual
| ) |  |
| static

Asserts that two objects refer to the same object.

If they are not the same an AssertionFailedError is thrown.

## ◆ assertSame() [2/2]

static void com.tritondigital.util.Assert.assertSame | ( | String | message,
|  | Object | expected,
|  | Object | actual
| ) |  |
| static

Asserts that two objects refer to the same object.

If they are not an AssertionFailedError is thrown with the given message.

## ◆ assertTrue() [1/2]

static void com.tritondigital.util.Assert.assertTrue | ( | boolean | condition | ) |
| static

Asserts that a condition is true.

If it isn't it throws an AssertionFailedError.

## ◆ assertTrue() [2/2]

static void com.tritondigital.util.Assert.assertTrue | ( | String | message,
|  | boolean | condition
| ) |  |
| static

Asserts that a condition is true.

If it isn't it throws an AssertionFailedError with the given message.

The documentation for this class was generated from the following file:

- util/src/main/java/com/tritondigital/util/Assert.java